## rsync 3.1.1

=== debian/changelog ===
rsync (3.1.1-3ubuntu1.3) xenial-security; urgency=medium

  * SECURITY UPDATE: improper pointer arithmetic might allow
    context-dependent attackers to have unspecified impact
    - debian/patches/CVE-2016-9840.patch: remove offset pointer optimization
      in inftrees.c.
    - CVE-2016-9840
  * SECURITY UPDATE: improper pointer arithmetic might allow
    context-dependent attackers to have unspecified impact
    - debian/patches/CVE-2016-9841.patch: use post-increment only in inffast.c.
    - CVE-2016-9841
  * SECURITY UPDATE: vectors involving left shifts of negative integers might
    allow context-dependent attackers to have unspecified impact
    - debian/patches/CVE-2016-9842_1.patch: avoid shifts of negative values in
      inflateMark().
    - debian/patches/CVE-2016-9842_2.patch: avoid casting an out-of-range
      value to long.
    - CVE-2016-9842
  * SECURITY UPDATE: vectors involving big-endian CRC calculation might allow
    context-dependent attackers to have unspecified impact
    - debian/patches/CVE-2016-9843.patch: avoid pre-decrement of pointer in 
      big-endian CRC calculation.
    - CVE-2016-9843

 -- Avital Ostromich <avital.ostromich@canonical.com>  Thu, 13 Feb 2020 17:48:27 -0500

rsync (3.1.1-3ubuntu1.2) xenial-security; urgency=medium

  * SECURITY UPDATE: receive_xattr function does not check
    for '\0' character allowing denial of service attacks
    - debian/patches/CVE-2017-16548.patch: enforce trailing
      \0 when receiving xattr values in xattrs.c.
    - CVE-2017-16548
  * SECURITY UPDATE: Allows remote attacker to bypass argument
    - debian/patches/CVE-2018-5764.patch: Ignore --protect-args
      when already sent by client in options.c.
    - CVE-2018-5764

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Thu, 18 Jan 2018 17:27:59 -0300

rsync (3.1.1-3ubuntu1.1) xenial-security; urgency=medium

  * SECURITY UPDATE: bypass intended access restrictions
    - debian/patches/CVE-2017-17433.patch: check fname in
      recv_files sooner in receiver.c.
    - CVE-2017-17433
  * SECURITY UPDATE: not check for fnamecmp filenames and
    does not apply sanitize_paths
    - debian/patches/CVE-2017-17434-part1.patch: check daemon
      filter against fnamecmp in receiver.c.
    - debian/patches/CVE-2017-17434-part2.patch: sanitize xname
      in rsync.c.
    - CVE-2017-17434

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Wed, 06 Dec 2017 11:07:22 -0300

rsync (3.1.1-3ubuntu1) xenial; urgency=medium

  * SECURITY UPDATE: incomplete fix for rsync path spoofing attack
    - debian/patches/CVE-2014-9512-2.diff: add parent-dir validation for
      --no-inc-recurse too in flist.c, generator.c.
    - CVE-2014-9512

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 19 Jan 2016 14:58:35 -0500

rsync (3.1.1-3) unstable; urgency=medium

  * Added patch for CVE-2014-9512, Rsync path spoofing attack vulnerability.
    closes:#778333

 -- Paul Slootman <paul@debian.org>  Sat, 07 Mar 2015 15:45:05 +0100

rsync (3.1.1-2) unstable; urgency=low

  * hardening flags were not applied correctly, debian/rules modified thanks
    to patch from Simon Ruderich.
    closes:#754412

 -- Paul Slootman <paul@debian.org>  Sat, 09 Aug 2014 11:02:31 +0200

rsync (3.1.1-1) unstable; urgency=low

  * new upstream release
    Includes config.* update, closes:#714782
    Includes preallocate patch, closes:#649914
  * Bumped Standards-Version to 3.9.5.0 (no change necessary).
  * revert to using included zlib as there have been numerous reports of failed
    transfers when using -z with the separate zlib.
  * use the now included systemd file instead of our own copy.
  * use hardening=+all flags, thanks to hint from waldeck@gmx.de
  * add noatime patch which adds the --noatime option, which adds the O_NOATIME
    flag when opening files, to no update the access time on kernels that
    support that (linux 2.6.8 and later).
    closes:#738708,#244168
  * changed backtick usage in rules for CFLAGS and LDFLAGS to $(shell ...)
    closes:#699165
  * added autofs to Should-Start: in init.d script.
    closes:#730149
  * added README.Debian file to explain how to get the daemon running.
    closes:#589529
  * simplify init.d nice parameter checking.
    closes:#647145

 -- Paul Slootman <paul@debian.org>  Thu, 10 Jul 2014 14:28:11 +0200

rsync (3.1.0-3) unstable; urgency=high

  * fix for CVE-2014-2855 - rsync denial of service
    a remote client can send an invalid username and cause an infinite CPU
    loop on the server child process.
    closes:#744791
  * added upstream signature for uscan usage
  * changed package source format to 3.0 (quilt)

 -- Paul Slootman <paul@debian.org>  Wed, 16 Apr 2014 16:21:23 +0200

rsync (3.1.0-2) unstable; urgency=low

  * fix build failure if zlib1g-dev package is not installed;
    solved by building without the included zlib source and adding a
    build-depends on zlib1g-dev >= 1:1.2.8
    closes:32379

 -- Paul Slootman <paul@debian.org>  Sun, 27 Oct 2013 12:01:10 +0100

rsync (3.1.0-1) unstable; urgency=low

  * new upstream release.
  * Bumped Standards-Version to 3.9.4.0 (no change necessary).
  * Patches cast--1-size_t.diff, delete-delay.diff, manpages.GPL.diff,
    partial-timestamp.diff, progress-cursor-pos.diff, rsyncd.conf.5.comment.diff
    no longer needed (integrated into upstream source).

 -- Paul Slootman <paul@debian.org>  Mon, 30 Sep 2013 17:19:55 +0200

rsync (3.0.9-4) unstable; urgency=low

  * mark rsync package as Multi-Arch: foreign.
    closes:#688940
  * fixed cross-builds, thanks to patches from Colin Watson.
    closes:#693991
  * Fixed some lintian messages:
    - call strip with --remove-section=.comment --remove-section=.note
    - added watch file
    - change conflicts with duplicity << 0.6.11 to breaks
      See changelog for 3.0.9-1 for more detail
    - properly state "GNU General Public License" in the manpages
  * Added some overrides for lintian:
    - init.d-script-does-not-provide-itself

