=== debian/control ===
Source: rsync
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Paul Slootman <paul@debian.org>
Build-Depends: libpopt-dev,libacl1-dev,libattr1-dev
Standards-Version: 3.9.5
Homepage: http://rsync.samba.org/

Package: rsync
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, lsb-base (>= 3.2-14), base-files (>= 4.0.1)
Breaks: duplicity (<< 0.6.11)
Suggests: openssh-client, openssh-server
Description: fast, versatile, remote (and local) file-copying tool
 rsync is a fast and versatile file-copying tool which can copy locally
 and to/from a remote host. It offers many options to control its behavior,
 and its remote-update protocol can minimize network traffic to make
 transferring updates between machines fast and efficient.
 .
 It is widely used for backups and mirroring and as an improved copy
 command for everyday use.
 .
 This package provides both the rsync command line tool and optional
 daemon functionality.
