## rsync 3.1.2

=== debian/changelog ===
rsync (3.1.2-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Ignore --protect-args when already sent by client
    (CVE-2018-5764) (Closes: #887588)

  [Helmut Grohne]
  * Fix Architecture field of cross built packages. (Closes: #866353)

  [Aurelien Jarno]
  * Update config.guess for new ports: mips*r6* and riscv64.
    (Closes: #892968, #883048)

 -- YunQiang Su <syq@debian.org>  Sat, 21 Jul 2018 21:44:31 +0800

rsync (3.1.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Enforce trailing \0 when receiving xattr name values (CVE-2017-16548)
    (Closes: #880954)
  * Check fname in recv_files sooner (CVE-2017-17433) (Closes: #883667)
  * Sanitize xname in read_ndx_and_attrs (CVE-2017-17434) (Closes: #883665)
  * Check daemon filter against fnamecmp in recv_files() (CVE-2017-17434)
    (Closes: #883665)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 13 Dec 2017 07:34:49 +0100

rsync (3.1.2-2) unstable; urgency=medium

  * Added patch from upstream git to resolve temporary lines in --progress
    output not being cleared.
    closes:#749165
  * Added patch from upstream git to speed up handling of xattrs.
    closes:#799143

 -- Paul Slootman <paul@debian.org>  Fri, 17 Mar 2017 15:02:00 +0100

rsync (3.1.2-1) unstable; urgency=medium

  * new upstream release
  * Bumped Standards-Version to 3.9.8 (no change necessary).
  * added deb-systemd-helper stuff to maintainer scripts to properly support
    systemd.
    closes:#764616
  * Modified the /etc/default/rsync and /usr/share/doc/rsync/README.Debian 
    to document how to configure the rsync daemon behaviour when using systemd.
    closes:#786549
  * included copy-devices.diff patch from
    https://rsync.samba.org/ftp/rsync/src/rsync-patches-3.1.2.tar.gz to
    enable the --copy-devices option to copy the data inside a device instead
    of copying the node.
    closes:#509335
  * included time-limit.diff patch from
    https://rsync.samba.org/ftp/rsync/src/rsync-patches-3.1.2.tar.gz to
    enable the -stop-at and --time-limit patches to stop rsync at a certain
    time or after a certain duration.
    closes:#701812
  * Add description of value for --compress-level to manpage.
    closes:#700697
  * Don't use hard-coded path to invoke-rc.d for check in prerm script.

 -- Paul Slootman <paul@debian.org>  Fri, 07 Oct 2016 15:48:23 +0200
