=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: rsync
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Paul Slootman <paul@debian.org>
-Build-Depends: libpopt-dev,libacl1-dev,libattr1-dev
-Standards-Version: 3.9.5
+Maintainer: Paul Slootman <paul@debian.org>
+Build-Depends: libpopt-dev,libacl1-dev,libattr1-dev, autotools-dev
+Standards-Version: 3.9.8
 Homepage: http://rsync.samba.org/
 
 Package: rsync
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, lsb-base (>= 3.2-14), base-files (>= 4.0.1)
+Depends: ${shlibs:Depends}, lsb-base (>= 3.2-14), base-files (>= 4.0.1), init-system-helpers (>= 1.18~)
 Breaks: duplicity (<< 0.6.11)
 Suggests: openssh-client, openssh-server
 Description: fast, versatile, remote (and local) file-copying tool
