=== debian/rules ===
--- 
+++ 
@@ -25,24 +25,6 @@
 CFLAGS   := -Wall  $(shell $(dpkg_buildflags) --get CFLAGS)
 LDFLAGS  :=        $(shell $(dpkg_buildflags) --get LDFLAGS)
 
-# backwards compatibility stuff, from dpkg-architecture manpage
-DEB_BUILD_ARCH := $(shell dpkg --print-architecture)
-DEB_BUILD_GNU_CPU := $(patsubst hurd-%,%,$(DEB_BUILD_ARCH))
-ifeq ($(filter-out hurd-%,$(DEB_BUILD_ARCH)),)
-DEB_BUILD_GNU_SYSTEM := gnu
-else
-DEB_BUILD_GNU_SYSTEM := linux
-endif
-DEB_BUILD_GNU_TYPE=$(DEB_BUILD_GNU_CPU)-$(DEB_BUILD_GNU_SYSTEM)
-
-DEB_HOST_ARCH=$(DEB_BUILD_ARCH)
-DEB_HOST_GNU_CPU=$(DEB_BUILD_GNU_CPU)
-DEB_HOST_GNU_SYSTEM=$(DEB_BUILD_GNU_SYSTEM)
-DEB_HOST_GNU_TYPE=$(DEB_BUILD_GNU_TYPE)
-
-DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-
 ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
 INSTALL_CROSS := 
 else
@@ -59,9 +41,15 @@
 	-rm -rf debian/buildtree
 	mkdir debian/buildtree
 	cp -p * debian/buildtree || true
-	cp -r lib popt support testsuite zlib debian/buildtree
+	cp -pr lib m4 popt support testsuite zlib debian/buildtree
+	# update config.guess/sub
+	cp /usr/share/misc/config.guess /usr/share/misc/config.sub debian/buildtree
+	# work around newer autoconf stuff (runstatedir)
+	touch debian/buildtree/aclocal.m4
 	@echo applying misc Debian patches
 	for i in debian/patches/*.patch debian/patches/*.diff; do if [ -s $$i ]; then echo "  $$i ..."; cat $$i | (cd debian/buildtree; patch -p1) || exit 1; fi; done
+	# work around newer autoconf stuff (runstatedir)
+	touch debian/buildtree/configure.sh debian/buildtree/config.h.in
 	@echo configuring
 	(cd debian/buildtree; ./configure --with-included-zlib=yes --prefix=/usr --mandir='$${prefix}/share/man' --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) LDFLAGS="$(LDFLAGS)")
 	@echo building
@@ -111,7 +99,7 @@
 	$(INSTALL_FILE) debian/README.Debian   debian/tmp/usr/share/doc/rsync/
 	echo -e '\n\f' >> debian/tmp/usr/share/doc/rsync/changelog
 	cat OLDNEWS    >> debian/tmp/usr/share/doc/rsync/changelog
-	gzip -9fr `find debian/tmp/usr/share/doc/ debian/tmp/usr/share/man/ -type f`
+	gzip -9frn `find debian/tmp/usr/share/doc/ debian/tmp/usr/share/man/ -type f`
 	$(INSTALL_FILE) debian/rsyncd.conf debian/logrotate.conf.rsync debian/tmp/usr/share/doc/rsync/examples/
 	$(INSTALL_FILE) debian/copyright debian/tmp/usr/share/doc/rsync/
 	# $(INSTALL_SCRIPT) test.sh debian/tmp/usr/lib/debian-test/tests/rsync
