## rsync 3.1.3

=== debian/changelog ===
rsync (3.1.3-8ubuntu0.9) focal-security; urgency=medium

  * SECURITY REGRESSION: flag collision (LP: #2095004)
    - d/p/fix_flag_got_dir_flist_collision.patch: change the flag bit to 13

 -- Sudhakar Verma <sudhakar.verma@canonical.com>  Thu, 16 Jan 2025 15:38:39 +0530

rsync (3.1.3-8ubuntu0.8) focal-security; urgency=medium

  * SECURITY UPDATE: safe links bypass vulnerability
    - d/p/CVE-2024-12088/0001-make-safe-links-stricter.patch: reject
      links where a "../" component is included in the destination
    - CVE-2024-12088
  * SECURITY UPDATE: arbitrary file write via symbolic links
    - d/p/CVE-2024-12087/0001-Refuse-a-duplicate-dirlist.patch: refuse
      malicious duplicate flist for dir
    - d/p/CVE-2024-12087/0002-range-check-dir_ndx-before-use.patch: refuse
      invalid dir_ndx
    - CVE-2024-12087
  * SECURITY UPDATE: arbitrary client file leak
    - d/p/CVE-2024-12086/0001-refuse-fuzzy-options-when-fuzzy-not-selected.patch:
      refuse fuzzy options when not selected
    - d/p/CVE-2024-12086/0002-added-secure_relative_open.patch: safe
      implementation to open a file relative to a base directory
    - d/p/CVE-2024-12086/0003-receiver-use-secure_relative_open-for-basis-file.patch:
      ensure secure file access for basis file
    - d/p/CVE-2024-12086/0004-disallow-.-elements-in-relpath-for-secure_relative_o.patch:
      disallow "../" in relative path
    - CVE-2024-12086
  * SECURITY UPDATE: information leak via uninitialized stack contents
    - d/p/CVE-2024-12085/0001-prevent-information-leak-off-the-stack.patch:
      prevent information leak by zeroing
    - CVE-2024-12085
  * SECURITY UPDATE: symlink race condition
    - d/p/CVE-2024-12747/0001-fixed-symlink-race-condition-in-sender.patch:
      do_open_checklinks to prevent symlink race
    - CVE-2024-12747 

 -- Sudhakar Verma <sudhakar.verma@canonical.com>  Tue, 17 Dec 2024 15:04:45 +0530

rsync (3.1.3-8ubuntu0.7) focal; urgency=medium

  * d/p/add-trust-sender-option-docs.patch: Add manpage and help documentation
    for the --trust-sender option (LP: #2028810)

 -- Lena Voytek <lena.voytek@canonical.com>  Fri, 01 Sep 2023 11:38:04 -0700

rsync (3.1.3-8ubuntu0.6) focal; urgency=medium

  * d/p/add-trust-sender-option.patch: Add --trust-sender argument to decrease
    overhead when transferring files (LP: #2028810)
    In order to mitigate the performance decrease experienced by the security
    update blocking arbitrary file writes by remote servers, this update allows
    users the option to inherently trust the remote server instead. The
    --trust-sender argument tells the local server to trust the remote server's
    file list, leading to a speedup in transfer speed since the extra checks
    are no longer needed. The argument should only be used when transferring
    between two controlled servers though, to avoid arbitrary file access from
    a malicious server.

 -- Lena Voytek <lena.voytek@canonical.com>  Fri, 28 Jul 2023 07:53:51 -0700

rsync (3.1.3-8ubuntu0.5) focal-security; urgency=medium

  * SECURITY UPDATE: arbitrary file write via malicious remote servers
    - d/p/CVE-2022-29154-*.patch: backported patches to fix the issue.
    - d/p/avoid_quoting_of_tilde_when_its_a_destination_arg.patch: added
      additional patch to fix regression.
    - CVE-2022-29154

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 28 Feb 2023 07:58:57 -0500

rsync (3.1.3-8ubuntu0.4) focal-security; urgency=medium

  * SECURITY UPDATE: zlib buffer overflow when inflating certain gzip
    hearders.
    - debian/patches/CVE-2022-37434-1.patch: catches overflow in
      inflateGetHeader by enforcing buffer size.
    - debian/patches/CVE-2022-37434-2.patch: prevents NULL dereference
      regression previous patch introduced.
    - CVE-2022-37434

 -- Mark Esler <mark.esler@canonical.com>  Tue, 16 Aug 2022 13:48:36 -0500

rsync (3.1.3-8ubuntu0.3) focal-security; urgency=medium

  * SECURITY UPDATE: memory corruption when zlib deflating
    - debian/patches/CVE-2018-25032-1.patch: fix a bug that can crash
      deflate on some input when using Z_FIXED in zlib/deflate.c,
      zlib/deflate.h.
    - debian/patches/CVE-2018-25032-2.patch: assure that the number of bits
      for deflatePrime() is valid in zlib/deflate.c.
    - CVE-2018-25032

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 30 Mar 2022 14:02:52 -0400

rsync (3.1.3-8ubuntu0.2) focal; urgency=medium

  * d/p/avoid-deadlock-huge-amounts-verbose-messages.patch:
    Allow the receiver to increase their iobuf.msg xbuf if it fills
    up. This ensures that the receiver will never block trying to
    output a message, and thus it will always drain the data from
    the sender and keep the whole thing from clogging up. Thanks to
    Wayne Davison <wayne@opencoder.net>. (LP: #1528921)

 -- Miriam España Acebal <miriam.espana@canonical.com>  Mon, 07 Feb 2022 22:46:19 +0100

rsync (3.1.3-8ubuntu0.1) focal; urgency=medium

  * d/p/allow-missing-parent-dir-delete-missing-args.patch:
    Fix error caused by files being deleted having a missing parent
    directory. Thanks to Wayne Davison <wayne@opencoder.net>.
    (LP: #1896251)

 -- Lena Voytek <lena.voytek@canonical.com>  Thu, 28 Oct 2021 09:36:35 -0700

rsync (3.1.3-8) unstable; urgency=medium

  * Link rrsync in /usr/bin/
  * Run upstream tests at build time:
    -  d/rules: Stop overriding dh_auto_test
    -  d/p/noatime.diff: Change patch to address test failure
  * Run upstream tests on autopkgtest
  * d/rsync.install: Move scripts to /usr/share/ instead of usr/share/doc/
    (closes: #911321):
    - rsync.NEWS: Create file and tell about scripts new location
  * d/salsa-ci.yml: Skip repro tests for now
  * d/p/noatime.diff:
    - Fix DEP-3 headers
    - Fix typo

 -- Samuel Henrique <samueloph@debian.org>  Tue, 15 Oct 2019 01:04:36 +0100

rsync (3.1.3-7) unstable; urgency=low

  * Bump Standards-Version to 4.4.1
  * Add salsa-ci.yml
  * Convert packaging to use debhelper:

