=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-included-zlib=yes

override_dh_fixperms:
	chmod a+x debian/rsync/usr/share/rsync/scripts/rrsync
	dh_fixperms
