## rsync 3.2.2

=== debian/changelog ===
rsync (3.2.2-2~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert to debhelper-compat 12.
  * Added minimum version req'd for libzstd-dev BD.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 20 Jul 2020 10:03:56 -0700

rsync (3.2.2-2) unstable; urgency=medium

  * d/p/fix_bwlimit_0.patch: New upstream patch to fix bwlimit=0
    (closes: #964587)

 -- Samuel Henrique <samueloph@debian.org>  Fri, 10 Jul 2020 18:35:21 +0100

rsync (3.2.2-1) unstable; urgency=medium

  * New upstream version 3.2.2
  * d/rsync.install: Install rsync-no-vanished (closes: #353697)

 -- Samuel Henrique <samueloph@debian.org>  Mon, 06 Jul 2020 19:01:52 +0100

rsync (3.2.1-1) unstable; urgency=medium

  * New upstream version 3.2.1
  * Remove patches applied upstream:
    - backup-dir-implies-backup.diff
    - manpage-compress-level.diff
    - systemd-unit.diff
  * d/patches:
    - logdir.diff: Remove patch since logdir which comes with file is the
      default one
    - time-limit.diff: Update patch from upstream
  * d/u/signing-key.asc: Fix signing key

 -- Samuel Henrique <samueloph@debian.org>  Tue, 23 Jun 2020 18:16:52 +0100

rsync (3.2.0-1) unstable; urgency=low

  * New upstream version 3.2.0
  * Bump DH to 13
  * Bump Standards Version to 4.5.0
  * Stop using bundled zlib in favor of dynamic linking to zlib1g-dev
  * Install manpages from build directory instead of sources
  * d/control:
    - Add Suggests on python3 for the script git-set-file-times under /usr/share
    - Remove unneeded build-dependency libattr1-dev (closes: #953927)
    - Update Build-Deps, remove yodl and add new libs
  * d/copyright: Update file to add the new openssl exemption to the gpl3
    license
  * d/u/metadata: Add Bug-Submit and Bug-Database fields
  * d/upstream/signining-key: Change format from pgp to armored .asc
  * d/rsync.NEWS: Add information about two parameter name changes
  * d/rsync.manpages: Add new manpage rsync-ssl.1
  * d/s/include-binaries: Remove file now that gpg key is in armored mode in asc
    file
  * d/patches:
    - skip_devices_test.patch: New patch to skip devices test because it
      fails on kfreebsd and hurd
    - perl_shebang.patch: New patch to remove usage of env from perl shebang
    - disable_reconfigure_req.diff: Refresh patch
    - backup-dir-implies-backup.diff: Update patch
    - manpage-compress-level.diff: Update patch
    - systemd-unit.diff: Update patch, only adds list of manpages now
    - time-limit.diff: Update patch from upstream
    - Remove patches applied upstream:
      ~ CVE-2016-9840.patch
      ~ CVE-2016-9841.patch
      ~ CVE-2016-9842.patch
      ~ CVE-2016-9843.patch
      ~ Two-spelling-mistakes-in-rsync.yo.diff
      ~ prealloc-fix.diff
      ~ ssh-6-option.diff
      ~ copy-devices.diff: --copy-devices is now --write-devices
      ~ noatime.diff: --noatime is now --open-noatime

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

 -- Samuel Henrique <samueloph@debian.org>  Sat, 20 Jun 2020 18:05:57 +0100
