=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: rsync
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Paul Slootman <paul@debian.org>
 Uploaders: Samuel Henrique <samueloph@debian.org>
 Build-Depends: debhelper-compat (= 12),
                libacl1-dev,
-               libattr1-dev,
                libpopt-dev,
-               yodl (>= 3.08.00)
-Standards-Version: 4.4.1
+               liblz4-dev,
+               libxxhash-dev,
+               libzstd-dev (>= 1.4.4),
+               zlib1g-dev,
+               libssl-dev
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://rsync.samba.org/
 Vcs-Git: https://salsa.debian.org/debian/rsync.git
@@ -23,7 +26,8 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: openssh-client,
-          openssh-server
+          openssh-server,
+          python3
 Description: fast, versatile, remote (and local) file-copying tool
  rsync is a fast and versatile file-copying tool which can copy locally
  and to/from a remote host. It offers many options to control its behavior,
