## rsync 3.2.3

=== debian/changelog ===
rsync (3.2.3-8ubuntu3) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 25 Mar 2022 10:51:06 +0100

rsync (3.2.3-8ubuntu2) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Wed, 24 Nov 2021 14:01:07 +0000

rsync (3.2.3-8ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/rules: add --disable-asm configure flag. The only asm
      implementation is available for md5 on x86_64, however it is no-op,
      because we built with OpenSSL which has optimized md5
      implementation. Furthermore, linking noop md5 asm on x86_64 results in
      rsync binary not getting marked as CET compatible, because the noop
      md5 asm is not marked as CET compatible. Thus building without noop
      md5 asm, results in rsync gaining CET.

 -- Bryce Harrington <bryce@canonical.com>  Mon, 01 Nov 2021 16:05:43 -0700

rsync (3.2.3-8) unstable; urgency=medium

  * debian/patches:
    - manpage_upstream_fixes.patch: Import multiple upstream patches to fix
      manpage.
    - copy-devices.diff: Add missing manpage changes to patch
    - CVE-2020-14387.patch: Add Forwarded DEP3 field to point to upstream patch
    - fix_delay_updates.patch: Refresh patch
    - fix_mkpath.patch: New upstream patch to fix an edge case on --mkpath
    - fix_rsync-ssl_RSYNC_SSL_CERT_feature.patch: New upstream patch
    - fix_sparse_inplace.patch: New upstream patch to fix --sparse + --inplace
      options
    - update_rrsync_options.patch: New upstream patch to update rrsync options

 -- Samuel Henrique <samueloph@debian.org>  Sat, 25 Sep 2021 17:38:16 +0100

rsync (3.2.3-7) unstable; urgency=medium

  * Bump Standards-Version to 4.6.0
  * d/p/workaround_glibc_lchmod_regression.patch: New patch from upstream
    (closes: #994543)
  * debian/rsync.NEWS: Fix typo in last entry

 -- Samuel Henrique <samueloph@debian.org>  Sat, 18 Sep 2021 00:25:13 +0100

rsync (3.2.3-6) unstable; urgency=medium

  * d/t/upstream-tests: Suppress stderr warnings from the build process

 -- Samuel Henrique <samueloph@debian.org>  Sun, 12 Sep 2021 18:22:57 +0100

rsync (3.2.3-5) unstable; urgency=medium

  [ 刘建强 ]
  * Set the rsync.service not to start automatically after installation,
    the rsyncd.conf configuration file needs to be configured by the user
    before the service can start

  [ Samuel Henrique ]
  * Re-add upstream patch for --copy-devices, the --write-devices option is
    not fully equivalent (closes: #992215)
  * d/rsync.docs: Add NEWS.md file (previously named NEWS) (closes: #993697)
  * d/p/fix_delay_updates.patch: New patch from upstream (closes: #992231)

 -- Samuel Henrique <samueloph@debian.org>  Sun, 12 Sep 2021 17:25:37 +0100

rsync (3.2.3-4ubuntu2) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:23:58 +0200

rsync (3.2.3-4ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: add --disable-asm configure flag. The only asm
      implementation is available for md5 on x86_64, however it is no-op,
      because we built with OpenSSL which has optimized md5
      implementation. Furthermore, linking noop md5 asm on x86_64 results in
      rsync binary not getting marked as CET compatible, because the noop
      md5 asm is not marked as CET compatible. Thus building without noop
      md5 asm, results in rsync gaining CET.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 10 May 2021 11:27:26 +0200

rsync (3.2.3-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * d/p/fix_ftcbfs_configure.patch: New patch to fix FTCBFS (closes: #971285)

  [ Samuel Henrique ]
  * Bump Standards-Version to 4.5.1

 -- Samuel Henrique <samueloph@debian.org>  Tue, 02 Feb 2021 23:08:54 +0000

rsync (3.2.3-3ubuntu1) hirsute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/rules: add --disable-asm configure flag. The only asm
      implementation is available for md5 on x86_64, however it is no-op,
      because we built with OpenSSL which has optimized md5
      implementation. Furthermore, linking noop md5 asm on x86_64 results in
      rsync binary not getting marked as CET compatible, because the noop
      md5 asm is not marked as CET compatible. Thus building without noop
      md5 asm, results in rsync gaining CET.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 12 Jan 2021 16:59:54 -0500

rsync (3.2.3-3) unstable; urgency=high

  * d/p/CVE-2020-14387.patch: New patch to fix an openssl related CVE
    (closes: #969530, CVE-2020-14387)

 -- Samuel Henrique <samueloph@debian.org>  Sat, 19 Dec 2020 12:48:33 +0000

rsync (3.2.3-2ubuntu1) groovy; urgency=medium

  * debian/rules: add --disable-asm configure flag. The only asm
    implementation is available for md5 on x86_64, however it is no-op,
    because we built with OpenSSL which has optimized md5
    implementation. Furthermore, linking noop md5 asm on x86_64 results in
    rsync binary not getting marked as CET compatible, because the noop
    md5 asm is not marked as CET compatible. Thus building without noop
    md5 asm, results in rsync gaining CET.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 10 Sep 2020 14:11:17 +0100

rsync (3.2.3-2) unstable; urgency=medium

  [ Sergio Durigan Junior ]
  * Make the autopkgtests cross-friendly.
    Thanks to Steve Langasek <steve.langasek@ubuntu.com>

 -- Samuel Henrique <samueloph@debian.org>  Wed, 26 Aug 2020 21:23:57 +0100

rsync (3.2.3-1) unstable; urgency=medium

  * New upstream version 3.2.3
  * debian/patches:
    - time-limit.diff: Remove patch, applied upstream now
    - disable_reconfigure_req.diff: Refresh patch and dep3 headers
    - perl_shebang.patch: Update patch
    - fix_bwlimit_0.patch: Remove patch, applied upstream


