=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: rsync
 Section: net
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Paul Slootman <paul@debian.org>
 Uploaders: Samuel Henrique <samueloph@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libacl1-dev,
                libpopt-dev,
                liblz4-dev,
                libxxhash-dev,
-               libzstd-dev (>= 1.4.4),
+               libzstd-dev,
                zlib1g-dev,
                libssl-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://rsync.samba.org/
 Vcs-Git: https://salsa.debian.org/debian/rsync.git
