=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://rsync.samba.org/ftp/rsync/ rsync-(\d\S+)\.tar\.gz
