=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: rsync
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Paul Slootman <paul@debian.org>
+Maintainer: Paul Slootman <paul@debian.org>
 Uploaders: Samuel Henrique <samueloph@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libacl1-dev,
                libpopt-dev,
                liblz4-dev,
-               libxxhash-dev,
-               libzstd-dev,
+               libxxhash-dev (>= 0.8),
+               libzstd-dev (>= 1.4),
                zlib1g-dev,
-               libssl-dev
+               libssl-dev,
+               python3,
+               python3-cmarkgfm
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://rsync.samba.org/
@@ -27,7 +28,8 @@
          ${shlibs:Depends}
 Suggests: openssh-client,
           openssh-server,
-          python3
+          python3,
+          python3-braceexpand
 Description: fast, versatile, remote (and local) file-copying tool
  rsync is a fast and versatile file-copying tool which can copy locally
  and to/from a remote host. It offers many options to control its behavior,
