=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: rsync
 Section: net
 Priority: optional
-Maintainer: Paul Slootman <paul@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Paul Slootman <paul@debian.org>
 Uploaders: Samuel Henrique <samueloph@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libacl1-dev,
                libpopt-dev,
                liblz4-dev,
-               libxxhash-dev (>= 0.8),
-               libzstd-dev (>= 1.4),
+               libxxhash-dev,
+               libzstd-dev,
                zlib1g-dev,
                libssl-dev,
                python3,
-               python3-cmarkgfm
+               python3-commonmark
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://rsync.samba.org/
