=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

# Disable ASM optimizations (--disable-md5-asm).
# This is not needed because the ASM-optimized implementation
# available is the MD5 hash, which is actually a no-op because we link
# against OpenSSL and rsync ends up using that library's
# implementation of the hash.  Even then, the final binary ends up
# with the ASM-optimized version included, which makes it become
# CET-incompatible.
# Don't use bundled zlib (with-included-zlib=no).
override_dh_auto_configure:
	dh_auto_configure -- --with-included-zlib=no --disable-md5-asm --with-rrsync

override_dh_installsystemd:
	dh_installsystemd --no-enable
