=== debian/tests/control ===
Tests: upstream-tests
Depends: @, @builddeps@, build-essential
